const Main = imports.ui.main;
const Config = imports.misc.config;
const AppDisplay = imports.ui.appDisplay;

var _version;

let labelStyle = 'label-shadow';

let appFolderDialogPopup;

function addStyle(what)
{
    what.add_style_class_name(labelStyle);
}

function removeStyle(what)
{
    what.remove_style_class_name(labelStyle);
}

function appFolderDialog_popup()
{
    appFolderDialogPopup.apply(this, []);

    addStyle(this);
}

function init()
{
    _version = parseInt(Config.PACKAGE_VERSION.split('.')[1]);
}

function enable()
{
    if (_version < 38)
    {
        addStyle(Main.overview.viewSelector.appDisplay.actor);
        addStyle(Main.overview.viewSelector._searchResults._content);
    }
    else
    {
        addStyle(Main.overview.viewSelector.appDisplay._grid);
        addStyle(Main.overview.viewSelector._searchResults._content);
        appFolderDialogPopup = AppDisplay.AppFolderDialog.prototype.popup;
        AppDisplay.AppFolderDialog.prototype.popup = appFolderDialog_popup;
    }
}

function disable()
{
    if (_version < 38)
    {
        removeStyle(Main.overview.viewSelector.appDisplay.actor);
        removeStyle(Main.overview.viewSelector._searchResults._content);
    }
    else
    {
        removeStyle(Main.overview.viewSelector.appDisplay._grid);
        removeStyle(Main.overview.viewSelector._searchResults._content);
        AppDisplay.AppFolderDialog.prototype.popup = appFolderDialogPopup;
    }
}
